apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    alb.ingress.kubernetes.io/actions.ssl-redirect: '{"Type": "redirect","RedirectConfig":{"Protocol":"HTTPS","Port":"443","StatusCode":"HTTP_301"}}'
    alb.ingress.kubernetes.io/certificate-arn: arn:aws:acm:eu-west-1:538931824939:certificate/fdba4acd-488d-4bb8-a77e-22fbe09d9c46
    alb.ingress.kubernetes.io/group.name: k8s-monitoring
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTP": 80}, {"HTTPS":443}]'
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/security-groups: sg-060ebe8a6f1d07264
    alb.ingress.kubernetes.io/success-codes: 200-302
    kubernetes.io/ingress.class: alb
  name: k8s-prometheus
  namespace: monitoring
spec:
  rules:
  - host: prometheus.monitoring.k8s.pfe-project-graduation.cloud
    http:
      paths:
      - backend:
          serviceName: ssl-redirect
          servicePort: use-annotation
        path: /*
      - backend:
          serviceName: prometheus-k8s
          servicePort: 9090
        path: /*
